#!/usr/bin/env python

#
# Copyright (C) 2006 Red Hat, Inc.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#

import os.path

PACKAGE = "stacaccli"
VERSION = "0.1"
DATADIR = "/usr/share"

CONFIG_PATH = os.path.join ("/etc", "sysconfig", PACKAGE)

# Size of chunks to download images in
URLGRAB_CHUNK_SIZE = 32 * 1024 * 1024
# Number of download attempts to make for each chunk
URLGRAB_N_ATTEMPTS = 5

# Location of LVM utilities
LVM_UTILS_PATH = "/usr/sbin"
PVS_PATH = os.path.join (LVM_UTILS_PATH, "pvs")
PVCREATE_PATH  = os.path.join (LVM_UTILS_PATH, "pvcreate")
VGCREATE_PATH  = os.path.join (LVM_UTILS_PATH, "vgcreate")
VGCHANGE_PATH  = os.path.join (LVM_UTILS_PATH, "vgchange")
LVCREATE_PATH  = os.path.join (LVM_UTILS_PATH, "lvcreate")
LVCONVERT_PATH = os.path.join (LVM_UTILS_PATH, "lvconvert")
LVMERGE_PATH   = os.path.join (LVM_UTILS_PATH, "lvmerge")
LVRENAME_PATH  = os.path.join (LVM_UTILS_PATH, "lvrename")

# Path to modprobe
MODPROBE_PATH = "/sbin/modprobe"
# Location of EDD (Enhanced Disk Drive) info in sysfs
EDD_DIR = "/sys/firmware/edd"
# Prefix for each EDD drive directory
EDD_PREFIX = "int13_dev"
# Offet for device serial number in the MBR
MBR_SIG_OFFSET = 0x1b8

# Location of udev monitor socket in abstract namespace
UDEV_MONITOR_PATH = "/org/kernel/udev/monitor"
# How long to wait for partition device node addition
UDEV_WAIT_TIMEOUT = 5.0

# Location of mount/umount
MOUNT_UTILS_PATH = "/bin"
MOUNT_PATH = os.path.join (MOUNT_UTILS_PATH, "mount")
UMOUNT_PATH = os.path.join (MOUNT_UTILS_PATH, "umount")

# Location of grub utilities
GRUB_UTILS_PATH = "/sbin"
# Location of grub shell
GRUB_PATH = os.path.join (GRUB_UTILS_PATH, "grub")
# Location of grub-install script
GRUB_INSTALL_PATH = os.path.join (GRUB_UTILS_PATH, "grub-install")

# Location of mkinitrd
MKINITRD_PATH = "/sbin/mkinitrd"

# Location of filesystem utils
FS_UTILS_PATH = "/sbin"
MKE2FS_PATH = os.path.join (FS_UTILS_PATH, "mke2fs")
MKSWAP_PATH = os.path.join (FS_UTILS_PATH, "mkswap")
TUNE2FS_PATH = os.path.join (FS_UTILS_PATH, "tune2fs")
E2LABEL_PATH = os.path.join (FS_UTILS_PATH, "e2label")
