#!/usr/bin/env python

#
# Copyright (C) 2006 Red Hat, Inc.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#

import exceptions
import commands

_verbose_output = False

def get_verbose_output ():
    global _verbose_output
    return _verbose_output

def set_verbose_output (verbose):
    global _verbose_output
    _verbose_output = verbose

def verbose (message):
    if not get_verbose_output ():
        return
    print message

class CommandError (exceptions.Exception):
    def __init__ (self, args):
        exceptions.Exception.__init__ (self)
        self.args = args

def run_command (cmd, ignore_errors = False):
    verbose ("Running '%s'" % cmd)

    (status, output) = commands.getstatusoutput (cmd)

    if get_verbose_output ():
        print " -> (Status = %d)" % status

        for line in output.split ("\n"):
            print " ->  %s" % line
        
    if status != 0 and not ignore_errors:
        raise CommandError (_("Command '%s' failed with exit code %s") % (cmd, status))

    return output
                                
